'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _Accordion = require('./Accordion');

var _Accordion2 = _interopRequireDefault(_Accordion);

var _Dropdown = require('./Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

var _SidebarContext = require('../SidebarContext');

var _SidebarContext2 = _interopRequireDefault(_SidebarContext);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SidebarSubmenu = function (_Component) {
  _inherits(SidebarSubmenu, _Component);

  function SidebarSubmenu() {
    _classCallCheck(this, SidebarSubmenu);

    return _possibleConstructorReturn(this, (SidebarSubmenu.__proto__ || Object.getPrototypeOf(SidebarSubmenu)).apply(this, arguments));
  }

  _createClass(SidebarSubmenu, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          otherProps = _objectWithoutProperties(_props, ['className']);

      var classes = (0, _classnames2.default)('inloco-layout__sidebar-submenu', className);
      var ElementType = this.context.expanded ? _Accordion2.default : _Dropdown2.default;
      return _react2.default.createElement(ElementType, _extends({ className: classes }, otherProps));
    }
  }]);

  return SidebarSubmenu;
}(_react.Component);

SidebarSubmenu.propTypes = {
  className: _propTypes2.default.string,
  content: _propTypes2.default.node.isRequired,
  icon: _propTypes2.default.string.isRequired
};
SidebarSubmenu.contextType = _SidebarContext2.default;
exports.default = SidebarSubmenu;